---
layout: default
title: SIF1 archive
---

## Converter
[Download]({% link sifarchive/sif1/convert.js %})

Converts PNG files to SIF1. Requires Node.js and the `pngjs` library, which can be installed with:
{% highlight bash %}
npm install pngjs
{% endhighlight %}

## HTML decoder
[Download]({% link sifarchive/sif1/decode.html.rename %}) - A .rename extension was added to prevent browsers from rendering this.

Decodes SIF1 in your browser. Requires a webserver, like [serve](https://www.npmjs.com/package/serve).
The decoder by default views any file called build.sif, though it can be changed on line 23.

## libsif
[Download]({% link sifarchive/sif1/libsif.lua.rename %})

To prevent CGI from running this, a .rename extension has been added.

A library for reading SIF pictures. It is required by `drawsif`.


## drawsif
[Download]({% link sifarchive/sif1/drawsif.lua.rename %})

As before, .rename is added to prevent CGI from running this.

Actually draws your SIF pictures. Usage: `drawsif file.sif`

