---
layout: default
title: SIF2 archive
---

## Information
Note that SIF2 is pretty much identical to SIF1 other than color obfuscation.

Lua files have a .rename extension added to prevent CGI from rendering them.

## Converter
[Download]({% link sifarchive/sif2/convert2.js %})

Converts PNG files to SIF2. Requires Node.js and the `pngjs` library, which can be installed with:
{% highlight bash %}
npm install pngjs
{% endhighlight %}

## libsif2
[Download]({% link sifarchive/sif2/libsif2.lua.rename %})

A library for reading SIF pictures. It is required by `drawsif`.

## libsif2 test files
[testlibsif.lua]({% link sifarchive/sif2/testlibsif.lua.rename %})
[unloadlibsif2.lua]({% link sifarchive/sif2/unloadlibsif2.lua.rename %})

Some test files used during the development of SIF2.

## drawsif2
[Download]({% link sifarchive/sif2/drawsif2.lua.rename %})

Actually draws your SIF2 pictures. Usage: `drawsif2 file.sif`

